OpenUSB Developers Guide
Prev |  | Next

# `openusb_cpu_to_le16,openusb_cpu_to_le32`

## Name

`openusb_cpu_to_le16,openusb_cpu_to_le32` -- Convert data from CPU endianess to Little Endian

## Synopsis

``uint16_t openusb_cpu_to_le16`(uint16_t data );`

``uint32_t openusb_cpu_to_le32`(uint32_t data );`

## Parameters

`data` - To be converted data.

## Description

`openusb_cpu_to_le16()` converts one word (2bytes) of data from byte order in CPU endian to Little Endian.

`openusb_cpu_to_le32` converts a Dword(4bytes) data from CPU byte order to little endian order.

## Return Value

The return value is converted data.

## See Also

Prev | Home | Next
`openusb_strerror` | Up | `openusb_le16_to_cpu,openusb_le32_to_cpu`